const nth = (n) => {
  var str = "";
  while (n > 0) {
    --n;
    str = String.fromCharCode(97 + n % 26) + str;
    n = Math.floor(n / 26);
  }
  return str;
};


const alfabeto = ["a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z"];

function mod(a){
  return Math.floor(a);
}

function f(num, str = "") {
  if (num > 26) {
    return f(mod(num/26), alfabeto[mod((num+25)%26)] + str);
  } else {
    return alfabeto[num-1] + str;
  }
}

for (var i = 1; i < 1000; ++i) {
  if (nth(i) !== f(i)) {
    console.log(i, f(i), nth(i));
    process.exit();
  }
}
